object ChartDisplay: TChartDisplay
  Left = 370
  Top = 182
  Width = 808
  Height = 641
  Caption = 'Chart Display'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  ShowHint = True
  Visible = True
  OnCreate = FormCreate
  PixelsPerInch = 96
  TextHeight = 13
  object bnGetData: TButton
    Left = 32
    Top = 344
    Width = 75
    Height = 25
    Caption = 'Get Data'
    TabOrder = 0
    OnClick = bnGetDataClick
  end
  object bnSaveJPG: TButton
    Left = 32
    Top = 376
    Width = 75
    Height = 25
    Caption = 'Save jpg'
    TabOrder = 1
    OnClick = bnSaveJPGClick
  end
  object Chart1: TChart
    Left = 136
    Top = 24
    Width = 569
    Height = 473
    Title.Font.Height = -16
    Title.Font.Style = [fsBold]
    Title.Text.Strings = (
      'Arrhenius Plot')
    BottomAxis.Inverted = True
    BottomAxis.Title.Caption = '1000 / T'#176'K'
    LeftAxis.AxisValuesFormat = '0'
    LeftAxis.ExactDateTime = False
    LeftAxis.Increment = 100
    LeftAxis.Logarithmic = True
    LeftAxis.Title.Caption = 'Thermal Endurance, hr.'
    View3D = False
    TabOrder = 2
    OnDblClick = Chart1DblClick
    object serLifeTempC: TPointSeries
      Marks.ArrowLength = 8
      Marks.Visible = True
      DataSource = LifeTempData
      SeriesColor = clRed
      Title = 'LifeTemp'#176'C'
      OnGetMarkText = serLifeTempCGetMarkText
      ClickableLine = False
      Pointer.InflateMargins = True
      Pointer.Style = psRectangle
      Pointer.Visible = True
      XValues.DateTime = False
      XValues.Name = 'X'
      XValues.Order = loAscending
      YValues.DateTime = False
      YValues.Name = 'Y'
      YValues.Order = loAscending
    end
    object SerArrheniusFit: TFastLineSeries
      Marks.ArrowLength = 8
      Marks.Visible = True
      DataSource = serLifeTempC
      SeriesColor = clGreen
      Title = 'Arrhenius Fit'
      LinePen.Color = clGreen
      XValues.DateTime = False
      XValues.Name = 'X'
      XValues.Order = loAscending
      YValues.DateTime = False
      YValues.Name = 'Y'
      YValues.Order = loAscending
      object TTeeFunction1: TCurveFittingFunction
        Period = 1
      end
    end
  end
  object bnConvert: TButton
    Left = 32
    Top = 408
    Width = 75
    Height = 25
    Hint = 'Convert x values to 1000/(T+273)'
    Caption = 'Convert x'
    Enabled = False
    TabOrder = 3
    OnClick = bnConvertClick
  end
  object bnEdit: TButton
    Left = 32
    Top = 312
    Width = 75
    Height = 25
    Caption = 'Edit Chart'
    TabOrder = 4
    OnClick = bnEditClick
  end
  object bnSaveChart: TButton
    Left = 32
    Top = 440
    Width = 75
    Height = 25
    Caption = 'Save Chart'
    Enabled = False
    TabOrder = 5
    OnClick = bnSaveChartClick
  end
  object bnLoadChart: TButton
    Left = 32
    Top = 472
    Width = 75
    Height = 25
    Caption = 'Load Chart'
    Enabled = False
    TabOrder = 6
    OnClick = bnLoadChartClick
  end
  object bnFit: TButton
    Left = 32
    Top = 280
    Width = 75
    Height = 25
    Caption = 'Linear Fit'
    TabOrder = 7
    OnClick = bnFitClick
  end
  object LifeTempData: TSeriesTextSource
    Active = True
    Fields = <
      item
        FieldIndex = 1
        FieldName = 'X'
      end
      item
        FieldIndex = 2
        FieldName = 'Y'
      end>
    FieldSeparator = #9
    FileName = 'D:\Data\PolymerAging\Data\Epoxy-A.txt'
    Series = serLifeTempC
    Left = 16
    Top = 560
  end
  object ChartEditor1: TChartEditor
    Chart = Chart1
    Title = 'Chart editor'
    Left = 56
    Top = 560
  end
end
