unit fmGetTextFile;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, FileCtrl, StdCtrls;

type
  TGetDataFile = class(TForm)
    cbDrives: TDriveComboBox;
    lbFolders: TDirectoryListBox;
    lbFiles: TFileListBox;
    fcbTextOnly: TFilterComboBox;
    bnGoodToGo: TButton;
    bnCancel: TButton;
    procedure lbFilesClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure lbFoldersChange(Sender: TObject);
    procedure bnGoodToGoClick(Sender: TObject);
    procedure lbFilesDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    TheFile : string;
  end;

var
  GetDataFile: TGetDataFile;

implementation

uses ChartInterface01, dmChartUtils;  { in ..\win }

{$R *.dfm}

{CONSIDER allowing input from a data range in an Excel file}

procedure TGetDataFile.lbFilesClick(Sender: TObject);

var TheDrive, TheFolder : string;

begin
  with cbDrives do TheDrive := items[ ItemIndex ];
  with lbFolders do TheFolder := items[ ItemIndex ];
  With lbFiles do TheFile := items[ ItemIndex ];
  TheFile := TheDrive + '\' + TheFolder + '\' + TheFile
end;


procedure TGetDataFile.FormCreate(Sender: TObject);

var tps : string;

begin
  // tps := 'D:\data\PolymerAging\Data';
  // if not DirectoryExists( tps ) then
  tps := SysUtils.GetCurrentDir;
  lbFolders.Directory := tps;
end;

procedure TGetDataFile.lbFoldersChange(Sender: TObject);
begin
  lbFiles.Directory := lbFolders.Directory;
  lbfiles.Update
end;

procedure TGetDataFile.bnGoodToGoClick(Sender: TObject);

var tps : string;

begin
  tps := lbFiles.FileName;
  ChartCom.DataSourceFileName := tps;
  ChartDisplay.LifeTempData.FileName := tps;
  ChartDisplay.bnConvert.Enabled := true;
  GetDataFile.Visible := false;
  // get max and min Xvalues of dataset
  with ChartDisplay.Chart1.Axes[ 3 ] do begin
    // StartPosition :=
    // EndPosition :=
    inverted := false;
  end;
  ChartDisplay.AbscissaConverted := false
end;

procedure TGetDataFile.lbFilesDblClick(Sender: TObject);
begin
  bnGoodToGoClick(self)
end;

end.
